C	This is a routine to get the Identifiers to be
C	granted to the different account types.  Also this 
C	can end up granting privs as well.
C

	Subroutine Customize(type,Idents,Idlen)

	Parameter ( screen=1,cus=17 )

	Character*68	line
	Character*68	Idents(30)
	Integer*2	IdLen
	Integer*2	typeLen
	Character*12	type
	Character*12	typeCopy
	Integer*2	j

C	Init the var's
	IdLen=0
	line(1:39)='                                        '
	line(40:68)='                            '
	typeCopy(1:1)='#'
	typeCopy(2:12)=type(1:11)
	call str$upcase(typeCopy,typeCopy)
	typeLen=len(typeCopy)
	Do while (typeCopy(typeLen:typeLen) .eq. ' ')
		typeLen=typeLen-1
	end do

	Open (unit=cus,file='MAKACT_FILES:Customize.sav',
     +	status='old',carriagecontrol='list',readonly,err=999)

	read (cus,10,err=999) line
10	format (1A68)

	Do while (index(line,typeCopy(1:typeLen)) .ne. 1)
		read (cus,10,err=999) line
	end do

	line(1:39)='                                        '
	line(40:68)='                            '
	read (cus,10,err=999) line
	Do while (index(line,'#') .ne. 1)
		IdLen=IdLen+1
		Idents(IdLen)=line
		line(1:39)='                                        '
		line(40:68)='                                        '
		read (cus,10,err=999) line
	end do

999	close (cus)
	end

C	This is the routine to write out the customizing idenifiers
C	This writes to the Makact.com file
C

	Subroutine WriteIds(Username,Idents,NumOfIds)

	Parameter ( MakA=9 )

	Character*12	Username
	Character*68	Idents(50)
	Integer*2	NumOfIds
	Integer*2	j

	if (NumOfIds .gt. 0) then
		write (MakA,10) (Idents(j),Username ,j=1,NumOfIds)
10		format (1A68,1A12)
	end if

	end
